Subject: [Bug 181] New: error element

From: [email-masked]
Date: Sun, 20 Nov 2005 12:32:33 -0800

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=181

           Summary: error element
           Product: WebDAV-RFC2518-bis
           Version: -08
          Platform: Other
               URL: http://greenbytes.de/tech/webdav/draft-ietf-webdav-
                    rfc2518bis-08.html#rfc.section.13.29
        OS/Version: other
            Status: NEW
          Severity: normal
          Priority: P2
         Component: 13.  XML Element Definitions
        AssignedTo: [email-masked]
        ReportedBy: [email-masked]
         QAContact: [email-masked]

<http://greenbytes.de/tech/webdav/draft-ietf-webdav-rfc2518bis-08.html#rfc.section.13.29>:

"Error responses, particularly 403 Forbidden and 409 Conflict, sometimes need
more information to indicate what went wrong. When an error response contains a
body in WebDAV, the body is in XML with the root element 'error'. The 'error'
tag SHOULD include a standard error tag defined in this specification or another
specification. The 'error' tag MAY include custom error tags (in custom
namespaces) which a client can safely ignore."

Clients MAY ignore everything here. And that doesn't depend on where the
condition code is defined.

Of course the better resolution is just to copy the text from RFC3253, and to
use it's terminology to be consistent with RFC3253, RFC3648 and RFC3744.

------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.

---

From: Cullen Jennings <[email-masked]>
Date: Thu, 24 Nov 2005 08:19:13 -0800

I don't understand this bug. What's the problem?